GNU logs - #50457, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50457: 27.1; 'ada-mode'
Resent-From: Christophe <ch.bollard@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 07 Sep 2021 17:38:02 +0000
Resent-Message-ID: <handler.50457.B.16310362729242 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 50457
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 50457 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.16310362729242
          (code B ref -1); Tue, 07 Sep 2021 17:38:02 +0000
Received: (at submit) by debbugs.gnu.org; 7 Sep 2021 17:37:52 +0000
Received: from localhost ([127.0.0.1]:57568 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mNf2d-0002Oz-Ra
	for submit <at> debbugs.gnu.org; Tue, 07 Sep 2021 13:37:52 -0400
Received: from lists.gnu.org ([209.51.188.17]:36826)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ch.bollard@HIDDEN>) id 1mNf0n-0002KP-Gd
 for submit <at> debbugs.gnu.org; Tue, 07 Sep 2021 13:35:58 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:46198)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ch.bollard@HIDDEN>)
 id 1mNf0n-0007Zg-7T
 for bug-gnu-emacs@HIDDEN; Tue, 07 Sep 2021 13:35:57 -0400
Received: from smtp-outgoing-1902.laposte.net ([160.92.124.106]:42848)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ch.bollard@HIDDEN>)
 id 1mNf0j-0005se-SE
 for bug-gnu-emacs@HIDDEN; Tue, 07 Sep 2021 13:35:56 -0400
X-mail-filterd: {"version":"1.3.1", "queueID":"4H3sqf1bgbzYcmd",
 "contextId":"b1633db4-fdfb-4156-9cd5-24e3333dda52"}
Received: from outgoing-mail.laposte.net (localhost.localdomain [127.0.0.1])
 by mlpnf0118.laposte.net (SMTP Server) with ESMTP id 4H3sqf1bgbzYcmd
 for <bug-gnu-emacs@HIDDEN>; Tue,  7 Sep 2021 19:35:42 +0200 (CEST)
X-mail-filterd: {"version":"1.3.1", "queueID":"4H3sqd6Wj5zYcmc",
 "contextId":"82347130-7fae-4974-933e-f63ebc0620a7"}
X-lpn-mailing: LEGIT
X-lpn-spamrating: 50
X-lpn-spamlevel: not-spam
X-lpn-spamcause: OK,
 (0)(0000)gggruggvucftvghtrhhoucdtuddrgedvtddrudefhedgudduhecutefuodetggdotefrodftvfcurfhrohhfihhlvgemucfntefrqffuvffgpdfqfgfvpdggtfgfnhhsuhgsshgtrhhisggvnecuuegrihhlohhuthemuceftddtnecunecujfgurhepfffkhffvufggtgfgsehtkeertddttdejnecuhfhrohhmpeevhhhrihhsthhophhhvgcuoegthhdrsgholhhlrghrugeslhgrphhoshhtvgdrnhgvtheqnecuggftrfgrthhtvghrnhepvdegiedtfeegteehjefggeffjeelleehieejfeejvdelheekjeekfeevhfejhfevnecukfhppeekkedruddvhedrudeikedrieenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepihhnvghtpeekkedruddvhedrudeikedriedphhgvlhhopehkrghmvghhohhushgvpdhmrghilhhfrhhomheptghhrdgsohhllhgrrhgusehlrghpohhsthgvrdhnvghtpdhrtghpthhtohepsghughdqghhnuhdqvghmrggtshesghhnuhdrohhrgh
Received: from kamehouse (unknown [88.125.168.6])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mlpnf0118.laposte.net (SMTP Server) with ESMTPSA id 4H3sqd6Wj5zYcmc
 for <bug-gnu-emacs@HIDDEN>; Tue,  7 Sep 2021 19:35:41 +0200 (CEST)
Date: Tue, 07 Sep 2021 19:35:41 +0200
Message-Id: <87wnnswaoi.fsf@debian-BULLSEYE-live-builder-AMD64>
From: Christophe <ch.bollard@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=laposte.net; s=lpn-wlmd;
 t=1631036142; bh=bn0ZHPEDO8EilxxbtowWby+GJ2/vmG/zOejtlIBcE/c=;
 h=Date:Message-Id:From:To:Subject:MIME-version:Content-type:Content-Transfer-Encoding;
 b=IsVe+EA9HrS6r8AGOg3zE+yOKQttpoKdQTgE55XMRVE5FvQpZEY8wfF7u1u/odoxW2ozURnhe28n9eA/+W+27j7T3ceiF47/dV3UUwLasB+anOVMTTxACgWtMFEmYKxGy5ehZsjnRNsO0NOrZa6NtbQnJiTo+eilTj9725PSh9HUawvADuulGYBWE37xwNGVhoItsgHwLOUq7/aMrRtxCIqjZm3dDkQUp2WkwXULdVMuMFu2741zg9qXqizc7WDXO+rrIEra8VWiwyUz+dM9o4nv6D+1r1T08c5T8C0BxoeOLuQFZF0hwYlFNcxYgRjcPdqT89MRertRrBIXF/nfCQ==;
Received-SPF: pass client-ip=160.92.124.106;
 envelope-from=ch.bollard@HIDDEN; helo=smtp-outgoing-1902.laposte.net
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.1 (/)
X-Mailman-Approved-At: Tue, 07 Sep 2021 13:37:50 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)


Hello, since I upgrade from emacs 26.1 to emacs 27.1 I am not able anymor=
e to
open an ada source file (or create one).
I get that error:
Debugger entered--Lisp error: (error "ada_mode_wisi_lr1_parse not found o=
n
=E2=80=98exec-path=E2=80=99; ...")

I have the same configuration I had in my emacs 26.1 init file:

(use-package ada-mode
    :ensure t
    :init
    )
I am not able to find on the net information about a such issue.
I even try to run build.sh in .emacs.d/elpa/ada-modexxxxx/ as indicate in=
 the
error message but that's impossible too (and not necssary in older versio=
n)

 signal(error ("ada_mode_wisi_lr1_parse not found on =E2=80=98exec-path=E2=
=80=99; ..."))
 error("%s not found on `exec-path'; run 'build.sh' in the..." "ada_mode_=
wisi_lr1_parse")



In GNU Emacs 27.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.24, ca=
iro version 1.16.0)
 of 2021-03-28, modified by Debian built on x86-conova-01
Windowing system distributor 'The X.Org Foundation', version 11.0.1201100=
0
System Description: Debian GNU/Linux 11 (bullseye)

Recent messages:
Loading em-glob...done
Loading em-hist...done
Loading em-ls...done
Loading em-prompt...done
Loading em-script...done
Loading em-unix...done
Searching for =E2=80=98my_hello=E2=80=99....
(New file)
Entering debugger...
Making completion list...

Configured using:
 'configure --build x86_64-linux-gnu --prefix=3D/usr --sharedstatedir=3D/=
var/lib
 --libexecdir=3D/usr/lib --localstatedir=3D/var/lib --infodir=3D/usr/shar=
e/info
 --mandir=3D/usr/share/man --enable-libsystemd --with-pop=3Dyes
 --enable-locallisppath=3D/etc/emacs:/usr/local/share/emacs/27.1/site-lis=
p:/usr/local/share/emacs/site-lisp:/usr/share/emacs/27.1/site-lisp:/usr/s=
hare/emacs/site-lisp
 --with-sound=3Dalsa --without-gconf --with-mailutils --build x86_64-linu=
x-gnu
 --prefix=3D/usr --sharedstatedir=3D/var/lib --libexecdir=3D/usr/lib
 --localstatedir=3D/var/lib --infodir=3D/usr/share/info --mandir=3D/usr/s=
hare/man
 --enable-libsystemd --with-pop=3Dyes
 --enable-locallisppath=3D/etc/emacs:/usr/local/share/emacs/27.1/site-lis=
p:/usr/local/share/emacs/site-lisp:/usr/share/emacs/27.1/site-lisp:/usr/s=
hare/emacs/site-lisp
 --with-sound=3Dalsa --without-gconf --with-mailutils --with-cairo --with=
-x=3Dyes
 --with-x-toolkit=3Dgtk3 --with-toolkit-scroll-bars 'CFLAGS=3D-g -O2
 -ffile-prefix-map=3D/build/emacs-LlFm6W/emacs-27.1+1=3D. -fstack-protect=
or-strong
 -Wformat -Werror=3Dformat-security -Wall' 'CPPFLAGS=3D-Wdate-time
 -D_FORTIFY_SOURCE=3D2' LDFLAGS=3D-Wl,-z,relro'

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB NOTIFY INO=
TIFY
ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS LIBSYSTEMD JSON PDU=
MPER
LCMS2 GMP

Important settings:
  value of $LANG: fr_FR.UTF-8
  value of $XMODIFIERS: @im=3Dibus
  locale-coding-system: utf-8-unix

Major mode: Debugger

Minor modes in effect:
  pyvenv-mode: t
  shell-dirtrack-mode: t
  show-paren-mode: t
  global-company-mode: t
  company-mode: t
  global-flycheck-mode: t
  xclip-mode: t
  global-subword-mode: t
  subword-mode: t
  display-time-mode: t
  display-battery-mode: t
  electric-pair-mode: t
  server-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  auto-fill-function: do-auto-fill
  transient-mark-mode: t

Load-path shadows:
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/tex-site hides /usr/share/=
emacs/site-lisp/tex-site
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/auctex hides /usr/share/em=
acs/site-lisp/auctex
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/preview hides /usr/share/a=
uctex/preview
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/font-latex hides /usr/shar=
e/auctex/font-latex
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/tex-buf hides /usr/share/a=
uctex/tex-buf
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/tex hides /usr/share/aucte=
x/tex
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/tex-style hides /usr/share=
/auctex/tex-style
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/bib-cite hides /usr/share/=
auctex/bib-cite
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/multi-prompt hides /usr/sh=
are/auctex/multi-prompt
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/context hides /usr/share/a=
uctex/context
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/context-nl hides /usr/shar=
e/auctex/context-nl
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/tex-mik hides /usr/share/a=
uctex/tex-mik
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/tex-bar hides /usr/share/a=
uctex/tex-bar
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/tex-font hides /usr/share/=
auctex/tex-font
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/latex hides /usr/share/auc=
tex/latex
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/tex-fold hides /usr/share/=
auctex/tex-fold
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/latex-flymake hides /usr/s=
hare/auctex/latex-flymake
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/tex-jp hides /usr/share/au=
ctex/tex-jp
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/plain-tex hides /usr/share=
/auctex/plain-tex
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/tex-ispell hides /usr/shar=
e/auctex/tex-ispell
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/texmathp hides /usr/share/=
auctex/texmathp
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/toolbar-x hides /usr/share=
/auctex/toolbar-x
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/context-en hides /usr/shar=
e/auctex/context-en
/home/mutenroshii/.emacs.d/elpa/auctex-13.0.14/tex-info hides /usr/share/=
auctex/tex-info

Features:
(shadow mailalias emacsbug sendmail cl-print debug backtrace em-unix em-s=
cript
em-prompt em-ls em-hist em-pred em-glob em-dirs esh-var em-cmpl em-basic
em-banner em-alias esh-mode flyspell ispell .emacs programmation ac-geise=
r
geiser-guile info-look geiser geiser-repl geiser-image geiser-company
geiser-doc geiser-menu geiser-edit geiser-completion geiser-autodoc geise=
r-eval
geiser-connection tq geiser-syntax scheme geiser-log geiser-popup view
py-autopep8 yasnippet highlight-indentation flymake-proc flymake warnings=
 elpy
elpy-rpc pyvenv elpy-shell elpy-profile elpy-django s elpy-refactor diff-=
mode
easy-mmode python tramp-sh tramp tramp-loaddefs trampver tramp-integratio=
n
tramp-compat shell pcomplete parse-time iso8601 ls-lisp grep files-x blac=
ken
jedi jedi-core python-environment epc ctable concurrent deferred auto-com=
plete
popup virtualenv ada-mode align ada-skel wisi-skel ada-process
wisi-process-parse ada-indent-user-options ada-core wisi-prj wisi wisi-fr=
inge
wisi-parse-common semantic/lex semantic/fw mode-local uniquify-files find=
-file
compile skeleton paren company-oddmuse company-keywords company-etags eta=
gs
fileloop xref project company-gtags company-dabbrev-code company-dabbrev
company-files company-clang company-capf company-cmake company-semantic
company-template company-bbdb company pcase flycheck find-func rx dash
elfeed-show elfeed-search bookmark pp shr svg dom elfeed-csv elfeed elfee=
d-curl
elfeed-log elfeed-db elfeed-lib thingatpt avl-tree generator url-queue
xml-query xml em-term eshell esh-cmd esh-ext esh-opt esh-proc esh-io esh-=
arg
esh-module esh-groups esh-util ido cus-edit cus-start cus-load wid-edit x=
clip
linum cap-words superword subword time battery sr-speedbar speedbar sb-im=
age
ezimage dframe elec-pair multi-term advice term disp-table comint ansi-co=
lor
ehelp edmacro kmacro akira-theme exec-path-from-shell cl-extra
use-package-ensure use-package-core server mm-archive message dired
dired-loaddefs format-spec rfc822 mml mml-sec epa derived gnus-util rmail
rmail-loaddefs text-property-search time-date mailabbrev gmm-utils mailhe=
ader
mm-decode mm-bodies mm-encode mail-utils gnutls network-stream url-http
mail-parse rfc2231 rfc2047 rfc2045 mm-util ietf-drums mail-prsvr url-gw n=
sm rmc
puny url-cache url-auth url url-proxy url-privacy url-expand url-methods
url-history url-cookie url-domsuf url-util mailcap epg epg-config finder-=
inf
preview-latex tex-site geiser-impl help-fns radix-tree help-mode geiser-c=
ustom
geiser-base ring info package easymenu browse-url url-handlers url-parse
auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs password-cache=
 json
subr-x map url-vars seq byte-opt gv bytecomp byte-compile cconv cl-loadde=
fs
cl-lib tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-typ=
e
mwheel term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow isearch ti=
mer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang misc=
-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 heb=
rew
greek romanian slovak czech european ethiopic indian cyrillic chinese com=
posite
charscript charprop case-table epa-hook jka-cmpr-hook help simple abbrev
obarray cl-preloaded nadvice loaddefs button faces cus-face macroexp file=
s
text-properties overlay sha1 md5 base64 format env code-pages mule custom
widget hashtable-print-readable backquote threads dbusbind inotify lcms2
dynamic-setting system-font-setting font-render-setting cairo move-toolba=
r gtk
x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 487188 16532)
 (symbols 48 32122 3)
 (strings 32 157481 7036)
 (string-bytes 1 4366425)
 (vectors 16 50048)
 (vector-slots 8 585858 25776)
 (floats 8 200 187)
 (intervals 56 1559 108)
 (buffers 1000 13))


--=20
Christophe BOLLARD




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Christophe <ch.bollard@HIDDEN>
Subject: bug#50457: Acknowledgement (27.1; 'ada-mode')
Message-ID: <handler.50457.B.16310362729242.ack <at> debbugs.gnu.org>
References: <87wnnswaoi.fsf@debian-BULLSEYE-live-builder-AMD64>
X-Gnu-PR-Message: ack 50457
X-Gnu-PR-Package: emacs
Reply-To: 50457 <at> debbugs.gnu.org
Date: Tue, 07 Sep 2021 17:38:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 50457 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
50457: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D50457
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50457: 'ada-mode'
References: <87wnnswaoi.fsf@debian-BULLSEYE-live-builder-AMD64>
In-Reply-To: <87wnnswaoi.fsf@debian-BULLSEYE-live-builder-AMD64>
Resent-From: Christophe <ch.bollard@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 07 Sep 2021 18:24:02 +0000
Resent-Message-ID: <handler.50457.B50457.16310389877335 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50457
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 50457 <at> debbugs.gnu.org
Received: via spool by 50457-submit <at> debbugs.gnu.org id=B50457.16310389877335
          (code B ref 50457); Tue, 07 Sep 2021 18:24:02 +0000
Received: (at 50457) by debbugs.gnu.org; 7 Sep 2021 18:23:07 +0000
Received: from localhost ([127.0.0.1]:57716 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mNfkQ-0001uF-UK
	for submit <at> debbugs.gnu.org; Tue, 07 Sep 2021 14:23:07 -0400
Received: from smtp-outgoing-1602.laposte.net ([160.92.124.97]:59704)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ch.bollard@HIDDEN>) id 1mNfkO-0001tS-NS
 for 50457 <at> debbugs.gnu.org; Tue, 07 Sep 2021 14:23:05 -0400
X-mail-filterd: {"version":"1.3.1", "queueID":"4H3tt70kx5zdZLl",
 "contextId":"bf06a98d-296b-4848-8fe9-e996cb8d0ee9"}
Received: from outgoing-mail.laposte.net (localhost.localdomain [127.0.0.1])
 by mlpnf0106.laposte.net (SMTP Server) with ESMTP id 4H3tt70kx5zdZLl
 for <50457 <at> debbugs.gnu.org>; Tue,  7 Sep 2021 20:22:55 +0200 (CEST)
X-mail-filterd: {"version":"1.3.1", "queueID":"4H3tt701JmzdZLg",
 "contextId":"6aa277b6-6a52-41e4-98ac-c0da1df94e49"}
X-lpn-mailing: LEGIT
X-lpn-spamrating: 50
X-lpn-spamlevel: not-spam
X-lpn-spamcause: OK,
 (0)(0000)gggruggvucftvghtrhhoucdtuddrgedvtddrudefhedguddvhecutefuodetggdotefrodftvfcurfhrohhfihhlvgemucfntefrqffuvffgpdfqfgfvpdggtfgfnhhsuhgsshgtrhhisggvnecuuegrihhlohhuthemuceftddtnecunecujfgurhepfffkhffvufestddtredttddttdenucfhrhhomhepvehhrhhishhtohhphhgvuceotghhrdgsohhllhgrrhgusehlrghpohhsthgvrdhnvghtqeenucggtffrrghtthgvrhhnpedttedtjeehffetleelgfefuedukeeiuddtieetleefteejkefhhfetteetgfeijeenucfkphepkeekrdduvdehrdduieekrdeinecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehinhgvthepkeekrdduvdehrdduieekrdeipdhhvghlohepkhgrmhgvhhhouhhsvgdpmhgrihhlfhhrohhmpegthhdrsgholhhlrghrugeslhgrphhoshhtvgdrnhgvthdprhgtphhtthhopeehtdegheejseguvggssghughhsrdhgnhhurdhorhhg
Received: from kamehouse (unknown [88.125.168.6])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mlpnf0106.laposte.net (SMTP Server) with ESMTPSA id 4H3tt701JmzdZLg
 for <50457 <at> debbugs.gnu.org>; Tue,  7 Sep 2021 20:22:54 +0200 (CEST)
Date: Tue, 07 Sep 2021 20:22:54 +0200
Message-Id: <87v93cw8ht.fsf@debian-BULLSEYE-live-builder-AMD64>
From: Christophe <ch.bollard@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=laposte.net; s=lpn-wlmd;
 t=1631038977; bh=wJL2NWtZ/cxDpwFWRRGyReVH601NboiO2zpJU1cGAnI=;
 h=Date:Message-Id:From:To:Subject;
 b=Eggv1ZrMQt3aOLy8g3PDOE7RVrpW/pk/Q0rTilxwUms5+l9Mp8NnqakeJPk4+1elqn3f/QUT85XCxZLICb4z9hmzTeTn7IGVcOSqFmyhOQ0lgn7rDeSm20+FvR8CiVeIB09R3j7s+rxeGJl6sQE43rZcDS2ArvVIb5zLrw9DMSsCjYPAToQVopOoERbtzK9o3A2gOCk6lwG8K10N9YjMxN2jVTrFeunMcoHAc5ByeSjIX3WOzHcnHiMM5K1JyZadOb8Hnbh96AwttIiVVIzYZkm0Rh/r6pqCzLzRmGCn1e1Dt0kY2kQCtfZ1urL1p3PbumF5+I/tcRO9X2sDXGaDdA==;
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hello,
afer the error message appear, if I try to open the source file again, and I
try to run ada-mode (M-x ada-mode) the same error message appear.
(I can compile with M-x compile / C-c C-m)

-- 
Christophe BOLLARD




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50457: 27.1; 'ada-mode'
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 08 Sep 2021 07:04:02 +0000
Resent-Message-ID: <handler.50457.B50457.163108461117537 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50457
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Christophe <ch.bollard@HIDDEN>
Cc: 50457 <at> debbugs.gnu.org, Stephen Leake <stephen_leake@HIDDEN>
Received: via spool by 50457-submit <at> debbugs.gnu.org id=B50457.163108461117537
          (code B ref 50457); Wed, 08 Sep 2021 07:04:02 +0000
Received: (at 50457) by debbugs.gnu.org; 8 Sep 2021 07:03:31 +0000
Received: from localhost ([127.0.0.1]:58370 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mNrcI-0004Yn-Ov
	for submit <at> debbugs.gnu.org; Wed, 08 Sep 2021 03:03:30 -0400
Received: from quimby.gnus.org ([95.216.78.240]:56088)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mNrcH-0004YV-96
 for 50457 <at> debbugs.gnu.org; Wed, 08 Sep 2021 03:03:29 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=zU7B1n052wzL4wrz1MUvIdNkt8SyN1APhl/6jXYyJNY=; b=B4/PUlLb3+rHxvT+R43IUTYZur
 NmIhkql4tkpgCjBsfY2l3mg/cmI/SlDpywG48ClEGfILGnkW4CcVfsHzPYkobuHlhgyk8eB1UEAp3
 j/a5s+UueE9L2j3IN8lQU912QG63CyI7bfX2UB4P0cwQFgd6CvGv0J53W+0jf54q5L/0=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mNrc8-0008FW-EJ; Wed, 08 Sep 2021 09:03:22 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
References: <87wnnswaoi.fsf@debian-BULLSEYE-live-builder-AMD64>
Date: Wed, 08 Sep 2021 09:03:19 +0200
In-Reply-To: <87wnnswaoi.fsf@debian-BULLSEYE-live-builder-AMD64> (Christophe's
 message of "Tue, 07 Sep 2021 19:35:41 +0200")
Message-ID: <87a6kn7dmw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Christophe <ch.bollard@HIDDEN> writes: > Hello, since
 I upgrade from emacs 26.1 to emacs 27.1 I am not able anymore to > open an
 ada source file (or create one). > I get that error: > Debugger entered--Lisp
 error: (error "ada_mode_wisi_lr1 [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Christophe <ch.bollard@HIDDEN> writes:

> Hello, since I upgrade from emacs 26.1 to emacs 27.1 I am not able anymor=
e to
> open an ada source file (or create one).
> I get that error:
> Debugger entered--Lisp error: (error "ada_mode_wisi_lr1_parse not found on
> =E2=80=98exec-path=E2=80=99; ...")

It sounds like ada-mode isn't able to find this executable (which I
guess the package should build)?  I've added Stephen to the CCs; perhaps
he know what's going on here.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50457: 27.1; 'ada-mode'
Resent-From: Stephen Leake <stephen_leake@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 08 Sep 2021 08:56:02 +0000
Resent-Message-ID: <handler.50457.B50457.16310913285884 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50457
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Christophe <ch.bollard@HIDDEN>
Cc: 50457 <at> debbugs.gnu.org
Received: via spool by 50457-submit <at> debbugs.gnu.org id=B50457.16310913285884
          (code B ref 50457); Wed, 08 Sep 2021 08:56:02 +0000
Received: (at 50457) by debbugs.gnu.org; 8 Sep 2021 08:55:28 +0000
Received: from localhost ([127.0.0.1]:58604 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mNtMd-0001Wq-Sq
	for submit <at> debbugs.gnu.org; Wed, 08 Sep 2021 04:55:28 -0400
Received: from gateway22.websitewelcome.com ([192.185.47.179]:25419)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen_leake@HIDDEN>) id 1mNtMc-0001Wi-8b
 for 50457 <at> debbugs.gnu.org; Wed, 08 Sep 2021 04:55:26 -0400
Received: from cm11.websitewelcome.com (cm11.websitewelcome.com [100.42.49.5])
 by gateway22.websitewelcome.com (Postfix) with ESMTP id 5BCC3567F
 for <50457 <at> debbugs.gnu.org>; Wed,  8 Sep 2021 03:55:25 -0500 (CDT)
Received: from host2007.hostmonster.com ([67.20.76.71]) by cmsmtp with SMTP
 id NtMam29JKK61iNtMbm8GwD; Wed, 08 Sep 2021 03:55:25 -0500
X-Authority-Reason: nr=8
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=stephe-leake.org; s=default; h=Content-Type:MIME-Version:Message-ID:
 In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:
 Content-Transfer-Encoding:Content-ID:Content-Description:Resent-Date:
 Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:List-Id:
 List-Help:List-Unsubscribe:List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=joM1P18+wpnuA9nESiFCltZF0WwAThy/OJDVXk67z5w=; b=gw8S629J1freHiNdWJ6CKifAAX
 39f48ipI34kDceXLhwn2X1ZiaWnr1l3xCwKnBRIjUiffq+iax6PcooAtimAdC+UfIsQudrOzlgOMB
 LJfvXZQzKLNfjt9NfDGXK3tC2oVrDxmhUoWWjJ5olFoOnfjOohsDOPpTh+NSOttRSofpzB/v5ItcW
 SfXCQhiSh5l1wbm07aBm/F4AZgbMgfl+Wp3vU92jcUfJB5+qTVY1L1fo4xZ8Gal8LpQk2An7mO3A7
 tGM0VC9b/zA0N3m0CM9Yp9C/V6C7fcuFYq8fn8VbJ7zLU17Ob3/4edrLJWNdexwc4oJ6wkBPqbr8U
 rA1MkrXQ==;
Received: from [76.77.182.20] (port=52036 helo=Takver4)
 by host2007.hostmonster.com with esmtpsa (TLS1.2) tls
 TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384 (Exim 4.94.2)
 (envelope-from <stephen_leake@HIDDEN>)
 id 1mNtMa-003Qcg-JS; Wed, 08 Sep 2021 02:55:24 -0600
From: Stephen Leake <stephen_leake@HIDDEN>
References: <87wnnswaoi.fsf@debian-BULLSEYE-live-builder-AMD64>
Date: Wed, 08 Sep 2021 01:55:20 -0700
In-Reply-To: <87wnnswaoi.fsf@debian-BULLSEYE-live-builder-AMD64> (Christophe's
 message of "Tue, 07 Sep 2021 19:35:41 +0200")
Message-ID: <86tuivphtz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - host2007.hostmonster.com
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - stephe-leake.org
X-BWhitelist: no
X-Source-IP: 76.77.182.20
X-Source-L: No
X-Exim-ID: 1mNtMa-003Qcg-JS
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Source-Sender: (Takver4) [76.77.182.20]:52036
X-Source-Auth: stephen_leake@HIDDEN
X-Email-Count: 2
X-Source-Cap: c3RlcGhlbGU7c3RlcGhlbGU7aG9zdDIwMDcuaG9zdG1vbnN0ZXIuY29t
X-Local-Domain: yes
X-Spam-Score: 0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

Christophe <ch.bollard@HIDDEN> writes:

> I even try to run build.sh in .emacs.d/elpa/ada-modexxxxx/ as indicate in the
> error message but that's impossible too (and not necssary in older
> version)

What error message do you get when you try to run build.sh?

The assumption is that if you are using ada-mode, you can compile Ada
code.

There is more information about this in the ada-mode user guide:

~/.emacs.d/elpa/ada-mode-7.1.8/ada-mode.info

-- 
-- Stephe




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50457: 27.1; 'ada-mode'
Resent-From: Christophe <ch.bollard@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 08 Sep 2021 11:21:02 +0000
Resent-Message-ID: <handler.50457.B50457.163110001922774 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50457
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Lars Ingebrigtsen <larsi@HIDDEN>
Cc: 50457 <at> debbugs.gnu.org, stephen_leake@HIDDEN
Received: via spool by 50457-submit <at> debbugs.gnu.org id=B50457.163110001922774
          (code B ref 50457); Wed, 08 Sep 2021 11:21:02 +0000
Received: (at 50457) by debbugs.gnu.org; 8 Sep 2021 11:20:19 +0000
Received: from localhost ([127.0.0.1]:58788 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mNvcp-0005vD-6g
	for submit <at> debbugs.gnu.org; Wed, 08 Sep 2021 07:20:19 -0400
Received: from smtp-outgoing-1701.laposte.net ([160.92.124.99]:54194)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ch.bollard@HIDDEN>) id 1mNvcm-0005uh-Rc
 for 50457 <at> debbugs.gnu.org; Wed, 08 Sep 2021 07:20:18 -0400
X-mail-filterd: {"version":"1.3.1", "queueID":"4H4KRn3VV3z10MQ4",
 "contextId":"402910ee-8835-47c5-9c66-6554d9b7e720"}
Received: from outgoing-mail.laposte.net (localhost.localdomain [127.0.0.1])
 by mlpnf0103.laposte.net (SMTP Server) with ESMTP id 4H4KRn3VV3z10MQ4;
 Wed,  8 Sep 2021 13:20:05 +0200 (CEST)
X-mail-filterd: {"version":"1.3.1", "queueID":"4H4KRn0dT8z10MQR",
 "contextId":"46bb4deb-510a-42c1-a889-d7d238dcf624"}
X-lpn-mailing: LEGIT
X-lpn-spamrating: 46
X-lpn-spamlevel: not-spam
X-lpn-spamcause: OK,
 (-100)(0000)gggruggvucftvghtrhhoucdtuddrgedvtddrudefjedgfeejucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecunfetrffquffvgfdpqfgfvfdpggftfghnshhusghstghrihgsvgenuceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmnecujfgurhepfffkhffvjgfufhestddtredttddttdenucfhrhhomhepvehhrhhishhtohhphhgvuceotghhrdgsohhllhgrrhgusehlrghpohhsthgvrdhnvghtqeenucggtffrrghtthgvrhhnpeeutdejleefleeujeeiffefteehtddvudekleeuteehfffggeegueelfeetvdfhveenucfkphepkeekrdduvdehrdduieekrdeinecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehinhgvthepkeekrdduvdehrdduieekrdeipdhhvghlohepkhgrmhgvhhhouhhsvgdpmhgrihhlfhhrohhmpegthhdrsgholhhlrghrugeslhgrphhoshhtvgdrnhgvthdprhgtphhtthhopehsthgvphhhvghnpghlvggrkhgvsehsthgvphhhvgdqlhgvrghkvgdrohhrghdprhgtphhtthhopeehtdegheejseguvggssghughhsrdhgnhhurdhorhhgpdhrtghpthhtoheplhgrrhhsihesghhnuhhsrdhorhhg
Received: from kamehouse (unknown [88.125.168.6])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mlpnf0103.laposte.net (SMTP Server) with ESMTPSA id 4H4KRn0dT8z10MQR;
 Wed,  8 Sep 2021 13:20:04 +0200 (CEST)
Date: Wed, 08 Sep 2021 13:20:04 +0200
Message-Id: <87r1dze2l7.fsf@debian-BULLSEYE-live-builder-AMD64>
From: Christophe <ch.bollard@HIDDEN>
In-Reply-To: <87a6kn7dmw.fsf@HIDDEN> (message from Lars Ingebrigtsen on Wed, 
 08 Sep 2021 09:03:19 +0200)
References: <87wnnswaoi.fsf@debian-BULLSEYE-live-builder-AMD64>
 <87a6kn7dmw.fsf@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=laposte.net; s=lpn-wlmd;
 t=1631100009; bh=/S1OFFo6uOWnoyYKk0lPu2vH38w7htH79km5j1wklDM=;
 h=Date:Message-Id:From:To:Cc:In-Reply-To:Subject:References;
 b=Fi3mrdCjsrpqxr5a/Ha5xG5euVt94BhGlaNWo13zNXTxQGWU5YXUK7IdTgHQbcvMZkEBU+qtvqJP++botfUrbIMn+mAkDtyELRmYULs6PBgC6Nb1DBkbuHLmnT6PYW8EghPZGQzxiaFPDo41FdmCkd6u5NuG0UOebw4JYcM5TWdu0JqnKqkxCjXOumAY4shCs13JrYD0ghsWCBhKTWk8a/WETTAs4PMslzneJgVuM+ccXQJFlzEu4G5PXlvjm6m/lxfkqZhwGmV2spRKSGHEatBDpRxDIyFIetaFg0uwT+MNBhEf5McdIq6NbWPAFcDrK8CWhcHy8kY2vKnM61+mlg==;
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hello, and thanks to take care about.
I tried to run the build script in the ada-mode-7.1.8 directory, but:

"
gen_emacs_wisi_lr_parse.ads:37:53: missing ";"
gen_emacs_wisi_lr_parse.ads:37:66: generic private child packages not permitted
gen_emacs_wisi_lr_parse.ads:37:66: subprogram specification expected
...
schema-validators.ads:914:28: "XML_Grammars" is undefined
schema-validators.ads:914:28: possible misspelling of "XML_Grammar"
schema-validators.ads:916:19: "XML_Grammars" is undefined
schema-validators.ads:916:19: possible misspelling of "XML_Grammar"

   compilation of ada_mode_wisi_lalr_parse.ads failed
   compilation of ada_mode_wisi_lr1_parse.ads failed
   compilation of run_ada_lalr_parse.ads failed
   compilation of run_ada_lr1_parse.ads failed
   compilation of gpr_mode_wisi_parse.ads failed
   compilation of run_gpr_parse.ads failed
   compilation of gpr_query.adb failed

gprbuild: *** compilation phase failed
"
(I cut a lot the message above)
At this point I don't know what I can do.

-- 
Christophe BOLLARD




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50457: 27.1; 'ada-mode'
Resent-From: Christophe <ch.bollard@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 09 Sep 2021 06:05:01 +0000
Resent-Message-ID: <handler.50457.B50457.16311674831883 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50457
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Lars Ingebrigtsen <larsi@HIDDEN>
Cc: 50457 <at> debbugs.gnu.org, stephen_leake@HIDDEN
Received: via spool by 50457-submit <at> debbugs.gnu.org id=B50457.16311674831883
          (code B ref 50457); Thu, 09 Sep 2021 06:05:01 +0000
Received: (at 50457) by debbugs.gnu.org; 9 Sep 2021 06:04:43 +0000
Received: from localhost ([127.0.0.1]:33965 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mODAx-0000UJ-9j
	for submit <at> debbugs.gnu.org; Thu, 09 Sep 2021 02:04:43 -0400
Received: from smtp-outgoing-1802.laposte.net ([160.92.124.103]:47050)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ch.bollard@HIDDEN>) id 1mODAu-0000U3-R1
 for 50457 <at> debbugs.gnu.org; Thu, 09 Sep 2021 02:04:42 -0400
X-mail-filterd: {"version":"1.3.1", "queueID":"4H4pPF3XDtzYcmY",
 "contextId":"826d9557-8f7f-4091-be4d-d6d3f6d73b1f"}
Received: from outgoing-mail.laposte.net (localhost.localdomain [127.0.0.1])
 by mlpnf0118.laposte.net (SMTP Server) with ESMTP id 4H4pPF3XDtzYcmY;
 Thu,  9 Sep 2021 08:04:33 +0200 (CEST)
X-mail-filterd: {"version":"1.3.1", "queueID":"4H4pPF0pCpzYcmV",
 "contextId":"b175bdea-9acf-47eb-ad1e-1db5fe12c338"}
X-lpn-mailing: LEGIT
X-lpn-spamrating: 46
X-lpn-spamlevel: not-spam
X-lpn-spamcause: OK,
 (-100)(0000)gggruggvucftvghtrhhoucdtuddrgedvtddrudefkedguddtvdcutefuodetggdotefrodftvfcurfhrohhfihhlvgemucfntefrqffuvffgpdfqfgfvpdggtfgfnhhsuhgsshgtrhhisggvnecuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpeffkffhvfgjufhfsedttdertddttddtnecuhfhrohhmpeevhhhrihhsthhophhhvgcuoegthhdrsgholhhlrghrugeslhgrphhoshhtvgdrnhgvtheqnecuggftrfgrthhtvghrnhepuedtjeelfeelueejiefffeethedtvddukeelueetheffgfeggeeuleeftedvhfevnecukfhppeekkedruddvhedrudeikedrieenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepihhnvghtpeekkedruddvhedrudeikedriedphhgvlhhopehkrghmvghhohhushgvpdhmrghilhhfrhhomheptghhrdgsohhllhgrrhgusehlrghpohhsthgvrdhnvghtpdhrtghpthhtohepshhtvghphhgvnhgplhgvrghkvgesshhtvghphhgvqdhlvggrkhgvrdhorhhgpdhrtghpthhtohephedtgeehjeesuggvsggsuhhgshdrghhnuhdrohhrghdprhgtphhtthhopehlrghrshhisehgnhhushdrohhrgh
Received: from kamehouse (unknown [88.125.168.6])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mlpnf0118.laposte.net (SMTP Server) with ESMTPSA id 4H4pPF0pCpzYcmV;
 Thu,  9 Sep 2021 08:04:33 +0200 (CEST)
Date: Thu, 09 Sep 2021 08:04:32 +0200
Message-Id: <87v93a474f.fsf@debian-BULLSEYE-live-builder-AMD64>
From: Christophe <ch.bollard@HIDDEN>
In-Reply-To: <87a6kn7dmw.fsf@HIDDEN> (message from Lars Ingebrigtsen on Wed, 
 08 Sep 2021 09:03:19 +0200)
References: <87wnnswaoi.fsf@debian-BULLSEYE-live-builder-AMD64>
 <87a6kn7dmw.fsf@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=laposte.net; s=lpn-wlmd;
 t=1631167474; bh=OIILxMVS0mkRw5hhudXc3xjUO2TefGq7mQT5AbhZ99I=;
 h=Date:Message-Id:From:To:Cc:In-Reply-To:Subject:References;
 b=H38/n9N1hb2695ppDMpfxA5wktlsxmtnnxnOdCUtKVxofN+olZV1mfQsEsh0fBONNqpxvtmMx3sEk4arydn+fRDCFnzeNh4Z54rPlXWHTjPdC0X8Ar+obvo+Cm6qE9xp9/QrUcBh5+n79mvohOCpwZIao0iWK9FJjr9Zp0G9m5P6/NDW1xtAKveb7uGk9aUW0fAstsErdL+jDjECYxbNtzExRGkf5MkAstSxE91gDpRzm/atY85MWcSKDk1e1fqjrx8Wi1Ui6szwLc90zuLUU+3J52JT2w5JDqMmn6Ra+RrRwLSfKucmg7KYa+1v1kuocbI9FbF9Ts+6nfaYZCaDpA==;
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

When I run .build.sh I get this error:

Compile
   [Ada]          ada_mode_wisi_lalr_parse.ads
   [Ada]          ada_mode_wisi_lr1_parse.ads
   [Ada]          run_ada_lalr_parse.ads
   [Ada]          run_ada_lr1_parse.ads
   [Ada]          gpr_mode_wisi_parse.ads
   [Ada]          run_gpr_parse.ads
   [Ada]          gpr_query.adb
   [C]            wisitoken_grammar_re2c.c
gen_emacs_wisi_lr_parse.ads:37:53: missing ";"
gen_emacs_wisi_lr_parse.ads:37:66: generic private child packages not permitted
gen_emacs_wisi_lr_parse.ads:37:66: subprogram specification expected
gen_emacs_wisi_lr_parse.ads:37:66: compilation unit expected
gen_emacs_wisi_lr_parse.ads:47:04: misplaced "with"
gen_emacs_wisi_lr_parse.ads:47:09: reserved word "procedure" cannot be used as identifier
gen_emacs_wisi_lr_parse.ads:47:18: missing ";"
gen_emacs_wisi_lr_parse.ads:47:19: compilation unit expected
gen_emacs_wisi_lr_text_rep_parse.ads:30:53: missing ";"
gen_emacs_wisi_lr_text_rep_parse.ads:30:66: generic private child packages not permitted
gen_emacs_wisi_lr_text_rep_parse.ads:30:66: subprogram specification expected
gen_emacs_wisi_lr_text_rep_parse.ads:30:66: compilation unit expected
gen_emacs_wisi_lr_text_rep_parse.ads:41:04: misplaced "with"
gen_emacs_wisi_lr_text_rep_parse.ads:41:09: reserved word "procedure" cannot be used as identifier
gen_emacs_wisi_lr_text_rep_parse.ads:41:18: missing ";"
gen_emacs_wisi_lr_text_rep_parse.ads:41:19: compilation unit expected
gen_run_wisi_lr_parse.ads:27:52: missing ";"
gen_run_wisi_lr_parse.ads:27:65: generic private child packages not permitted
gen_run_wisi_lr_parse.ads:27:65: subprogram specification expected
gen_run_wisi_lr_parse.ads:27:65: compilation unit expected
gen_run_wisi_lr_parse.ads:34:04: misplaced "with"
gen_run_wisi_lr_parse.ads:34:09: reserved word "procedure" cannot be used as identifier
gen_run_wisi_lr_parse.ads:34:18: missing ";"
gen_run_wisi_lr_parse.ads:34:19: compilation unit expected
gen_emacs_wisi_lr_parse.ads:37:53: missing ";"
gen_emacs_wisi_lr_parse.ads:37:66: generic private child packages not permitted
gen_emacs_wisi_lr_parse.ads:37:66: subprogram specification expected
gen_emacs_wisi_lr_parse.ads:37:66: compilation unit expected
gen_emacs_wisi_lr_parse.ads:47:04: misplaced "with"
gen_emacs_wisi_lr_parse.ads:47:09: reserved word "procedure" cannot be used as identifier
gen_emacs_wisi_lr_parse.ads:47:18: missing ";"
gen_emacs_wisi_lr_parse.ads:47:19: compilation unit expected
gen_run_wisi_lr_parse.ads:27:52: missing ";"
gen_run_wisi_lr_parse.ads:27:65: generic private child packages not permitted
gen_run_wisi_lr_parse.ads:27:65: subprogram specification expected
gen_run_wisi_lr_parse.ads:27:65: compilation unit expected
gen_run_wisi_lr_parse.ads:34:04: misplaced "with"
gen_run_wisi_lr_parse.ads:34:09: reserved word "procedure" cannot be used as identifier
gen_run_wisi_lr_parse.ads:34:18: missing ";"
gen_run_wisi_lr_parse.ads:34:19: compilation unit expected
gen_run_wisi_lr_text_rep_parse.ads:27:52: missing ";"
gen_run_wisi_lr_text_rep_parse.ads:27:65: generic private child packages not permitted
gen_run_wisi_lr_text_rep_parse.ads:27:65: subprogram specification expected
gen_run_wisi_lr_text_rep_parse.ads:27:65: compilation unit expected
gen_run_wisi_lr_text_rep_parse.ads:35:04: misplaced "with"
gen_run_wisi_lr_text_rep_parse.ads:35:09: reserved word "procedure" cannot be used as identifier
gen_run_wisi_lr_text_rep_parse.ads:35:18: missing ";"
gen_run_wisi_lr_text_rep_parse.ads:35:19: compilation unit expected
sax-pointers.ads:57:58: missing ";"
sax-pointers.ads:57:71: generic private child packages not permitted
sax-pointers.ads:57:71: subprogram specification expected
sax-pointers.ads:62:46: "Encapsulated" is not visible
sax-pointers.ads:62:46: non-visible (private) declaration at gnatcoll-refcount.ads:345, instance at gnatcoll-sql.ads:1181
sax-pointers.ads:62:46: non-visible declaration at gnatcoll-refcount.ads:345
sax-pointers.ads:62:46: non-visible declaration at gpr.ads:2050
sax-pointers.ads:64:33: "Encapsulated" is not visible
sax-pointers.ads:64:33: non-visible (private) declaration at gnatcoll-refcount.ads:345, instance at gnatcoll-sql.ads:1181
sax-pointers.ads:64:33: non-visible declaration at gnatcoll-refcount.ads:345
sax-pointers.ads:64:33: non-visible declaration at gpr.ads:2050
sax-pointers.ads:65:40: "Encapsulated" is not visible
sax-pointers.ads:65:40: non-visible (private) declaration at gnatcoll-refcount.ads:345, instance at gnatcoll-sql.ads:1181
sax-pointers.ads:65:40: non-visible declaration at gnatcoll-refcount.ads:345
sax-pointers.ads:65:40: non-visible declaration at gpr.ads:2050
sax-utils.ads:171:53: "Smart_Pointers" is not the name of a generic package
sax-utils.ads:174:28: "Symbol_Table_Pointers" is undefined
sax-utils.ads:177:24: "Symbol_Table_Pointers" is undefined
schema-validators.ads:912:44: "Smart_Pointers" is not the name of a generic package
schema-validators.ads:914:28: "XML_Grammars" is undefined
schema-validators.ads:914:28: possible misspelling of "XML_Grammar"
schema-validators.ads:916:19: "XML_Grammars" is undefined
schema-validators.ads:916:19: possible misspelling of "XML_Grammar"

   compilation of ada_mode_wisi_lalr_parse.ads failed
   compilation of ada_mode_wisi_lr1_parse.ads failed
   compilation of run_ada_lalr_parse.ads failed
   compilation of run_ada_lr1_parse.ads failed
   compilation of gpr_mode_wisi_parse.ads failed
   compilation of run_gpr_parse.ads failed
   compilation of gpr_query.adb failed

gprbuild: *** compilation phase failed


so I installed the GNAT compiler 2021 from the ada core site, added the follwoing
line to my init file:
(setq gpr-query-env '("LD_LIBRARY_PATH=$HOME/opt/GNAT/2021/lib64"))
tried to install xrf:
- unzip gnatcoll-db-master.zip
- cd gnatcoll-db-master
- cd gnatcoll_db2ada
- make & make install
But when I try to build and install xref:
- cd xref
- make
I get this error:

gprbuild -p -m --target=x86_64-linux-gnu  -j0 -XGNATCOLL_VERSION=0.0 -XBUILD=PROD  -XLIBRARY_TYPE=static -XXMLADA_BUILD=static -XGPR_BUILD=static \
	gnatcoll_xref.gpr
gnatcoll_xref.gpr:48:52: unknown variable "So_Ext"
gprbuild: "gnatcoll_xref.gpr" processing failed
make: *** [Makefile:117 : build-static] Erreur 4


I do not know what I can do, for now.

-- 
Christophe BOLLARD




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50457: 27.1; 'ada-mode'
Resent-From: Stephen Leake <stephen_leake@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 09 Sep 2021 13:51:03 +0000
Resent-Message-ID: <handler.50457.B50457.163119540917485 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50457
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Christophe <ch.bollard@HIDDEN>
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 50457 <at> debbugs.gnu.org
Received: via spool by 50457-submit <at> debbugs.gnu.org id=B50457.163119540917485
          (code B ref 50457); Thu, 09 Sep 2021 13:51:03 +0000
Received: (at 50457) by debbugs.gnu.org; 9 Sep 2021 13:50:09 +0000
Received: from localhost ([127.0.0.1]:34492 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mOKRN-0004Xr-4x
	for submit <at> debbugs.gnu.org; Thu, 09 Sep 2021 09:50:09 -0400
Received: from gproxy7-pub.mail.unifiedlayer.com ([70.40.196.235]:50852)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen_leake@HIDDEN>) id 1mOKRI-0004Wi-Bk
 for 50457 <at> debbugs.gnu.org; Thu, 09 Sep 2021 09:50:06 -0400
Received: from cmgw13.mail.unifiedlayer.com (unknown [10.0.90.128])
 by gproxy7.mail.unifiedlayer.com (Postfix) with ESMTP id AC0A98034954
 for <50457 <at> debbugs.gnu.org>; Thu,  9 Sep 2021 13:49:57 +0000 (UTC)
Received: from host2007.hostmonster.com ([67.20.76.71]) by cmsmtp with ESMTP
 id OKRBmH9IyoTT8OKRBmogkg; Thu, 09 Sep 2021 13:49:57 +0000
X-Authority-Reason: nr=8
X-Authority-Analysis: v=2.4 cv=LMCj/La9 c=1 sm=1 tr=0 ts=613a1105
 a=dWLzHQi6WpdymmZIwiVdBw==:117 a=dWLzHQi6WpdymmZIwiVdBw==:17
 a=dLZJa+xiwSxG16/P+YVxDGlgEgI=:19 a=7QKq2e-ADPsA:10:nop_rcvd_month_year
 a=vvvmwbhNdt4A:10:endurance_base64_authed_username_1 a=AVbMHacnAAAA:8
 a=A8oJy8mYAAAA:8 a=0QUhqAN6AAAA:8 a=ZwBWWu42OR-w1r1YMzcA:9
 a=2zemNzs3cSQA:10:demote_shortener_domain_2 a=MasS0_dV9q-jaWZIey9J:22
 a=heJpzBrWZll7CcRRZ2RD:22
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=stephe-leake.org; s=default; h=Content-Type:MIME-Version:Message-ID:
 In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:
 Content-Transfer-Encoding:Content-ID:Content-Description:Resent-Date:
 Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:List-Id:
 List-Help:List-Unsubscribe:List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=pU2lHpKbarlqkGffPbupKajp5WEU+/K2E23E6hNXYZM=; b=YrsrEICUdnfe4lhnSLGdLAluFK
 za3qlBSQ+7ejH2aogU8GpO+8dtE1sWZ3XmuaKDbHEbPl5fB8B36Paxq4OyytzxbPB223x9zq6Z8tL
 dbsv1+6qBWRmHemGzXY1UwiIHf9zKzwtJ5DdzutboYCEwzIXcK+pdd2e7pGGvDuzbOVtykcaGbUE8
 2hx9y2r0pAWeXQVpVQxm2ilfQbDlEaQ2w3o2+XLXxai2kx7sOBJ3xxYFLngxhApn3LgK6gyZK++nP
 Bcv1wG823BIA79KyT0gKiblGECZ0q76V/BaQuA0jQQS6wTDG0YEwFmkth0a/3RYV16lllgJqsWkH3
 X43TEkQQ==;
Received: from [76.77.182.20] (port=57441 helo=Takver4)
 by host2007.hostmonster.com with esmtpsa (TLS1.2) tls
 TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384 (Exim 4.94.2)
 (envelope-from <stephen_leake@HIDDEN>)
 id 1mOKRB-000cLw-8n; Thu, 09 Sep 2021 07:49:57 -0600
From: Stephen Leake <stephen_leake@HIDDEN>
References: <87wnnswaoi.fsf@debian-BULLSEYE-live-builder-AMD64>
 <87a6kn7dmw.fsf@HIDDEN>
 <87r1dze2l7.fsf@debian-BULLSEYE-live-builder-AMD64>
Date: Thu, 09 Sep 2021 06:49:52 -0700
In-Reply-To: <87r1dze2l7.fsf@debian-BULLSEYE-live-builder-AMD64> (Christophe's
 message of "Wed, 08 Sep 2021 13:20:04 +0200")
Message-ID: <86wnnpzwn3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - host2007.hostmonster.com
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - stephe-leake.org
X-BWhitelist: no
X-Source-IP: 76.77.182.20
X-Source-L: No
X-Exim-ID: 1mOKRB-000cLw-8n
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Source-Sender: (Takver4) [76.77.182.20]:57441
X-Source-Auth: stephen_leake@HIDDEN
X-Email-Count: 3
X-Source-Cap: c3RlcGhlbGU7c3RlcGhlbGU7aG9zdDIwMDcuaG9zdG1vbnN0ZXIuY29t
X-Local-Domain: yes
X-Spam-Score: -0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Christophe <ch.bollard@HIDDEN> writes:

> Hello, and thanks to take care about.
> I tried to run the build script in the ada-mode-7.1.8 directory, but:
>
> "
> gen_emacs_wisi_lr_parse.ads:37:53: missing ";"
> gen_emacs_wisi_lr_parse.ads:37:66: generic private child packages not permitted
> gen_emacs_wisi_lr_parse.ads:37:66: subprogram specification expected

This is a bug in the version of GNAT you are using. Install GNAT
Community 2021 from https://www.adacore.com/download.

Also see the Install section in ~/.emacs.d/elpa/ada-mode-7.1.8/ada-mode.info.

-- 
-- Stephe




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50457: [SPAM UNSURE] Re: bug#50457: 27.1; 'ada-mode'
Resent-From: Stephen Leake <stephen_leake@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 09 Sep 2021 13:52:01 +0000
Resent-Message-ID: <handler.50457.B50457.163119549817658 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50457
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Christophe <ch.bollard@HIDDEN>
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 50457 <at> debbugs.gnu.org
Received: via spool by 50457-submit <at> debbugs.gnu.org id=B50457.163119549817658
          (code B ref 50457); Thu, 09 Sep 2021 13:52:01 +0000
Received: (at 50457) by debbugs.gnu.org; 9 Sep 2021 13:51:38 +0000
Received: from localhost ([127.0.0.1]:34498 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mOKSn-0004ak-IW
	for submit <at> debbugs.gnu.org; Thu, 09 Sep 2021 09:51:37 -0400
Received: from gproxy7-pub.mail.unifiedlayer.com ([70.40.196.235]:49950)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen_leake@HIDDEN>) id 1mOKSf-0004aM-D0
 for 50457 <at> debbugs.gnu.org; Thu, 09 Sep 2021 09:51:36 -0400
Received: from cmgw10.mail.unifiedlayer.com (unknown [10.0.90.125])
 by gproxy7.mail.unifiedlayer.com (Postfix) with ESMTP id E9C548031D7B
 for <50457 <at> debbugs.gnu.org>; Thu,  9 Sep 2021 13:51:23 +0000 (UTC)
Received: from host2007.hostmonster.com ([67.20.76.71]) by cmsmtp with ESMTP
 id OKSZma0l8KpssOKSZmj0DB; Thu, 09 Sep 2021 13:51:23 +0000
X-Authority-Reason: nr=8
X-Authority-Analysis: v=2.4 cv=GIfNrsBK c=1 sm=1 tr=0 ts=613a115b
 a=dWLzHQi6WpdymmZIwiVdBw==:117 a=dWLzHQi6WpdymmZIwiVdBw==:17
 a=dLZJa+xiwSxG16/P+YVxDGlgEgI=:19 a=7QKq2e-ADPsA:10:nop_rcvd_month_year
 a=vvvmwbhNdt4A:10:endurance_base64_authed_username_1 a=AVbMHacnAAAA:8
 a=4rNl9rjPakqdf4e_rTkA:9
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=stephe-leake.org; s=default; h=Content-Type:MIME-Version:Message-ID:
 In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:
 Content-Transfer-Encoding:Content-ID:Content-Description:Resent-Date:
 Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:List-Id:
 List-Help:List-Unsubscribe:List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=BDhGppAEJH9C6uQsH12wFYZEcUWtI/vwnCaDhg7/L7k=; b=ZZ5dXzNQ2b4Mwy9x08xoQUOaKr
 nmwzx9ubVQwPqXxHDj1Ml/Nep/eXnYYSeXMSYYEE3FGv+RnvJT1wvzCtCakSbEtcgMtp0NQ1op273
 5hrewX3CiYuxhmB4yJLMBboN8QG/wQNMvWParT3zZVmQahh+UzvyTqP+3zvtFQsC7BhnWpM4wtajw
 +lBaXQsE/e2xD5MmdoPxhLhXNLDgpLiUnV/PNJA61tJXT0+NN5z/o6yU6N4SUosphAlDvXxIFg4Zu
 ci5A3Tq2aaRhE4NFjLIj2ThrLdGJue6F10iPfRIyyLA5FL7f5Y+TvCQAyAdvqULEZ2KJNuIahm//Y
 T0OrQO5A==;
Received: from [76.77.182.20] (port=57445 helo=Takver4)
 by host2007.hostmonster.com with esmtpsa (TLS1.2) tls
 TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384 (Exim 4.94.2)
 (envelope-from <stephen_leake@HIDDEN>)
 id 1mOKSZ-000dQQ-EG; Thu, 09 Sep 2021 07:51:23 -0600
From: Stephen Leake <stephen_leake@HIDDEN>
References: <87wnnswaoi.fsf@debian-BULLSEYE-live-builder-AMD64>
 <87a6kn7dmw.fsf@HIDDEN>
 <87v93a474f.fsf@debian-BULLSEYE-live-builder-AMD64>
Date: Thu, 09 Sep 2021 06:51:18 -0700
In-Reply-To: <87v93a474f.fsf@debian-BULLSEYE-live-builder-AMD64> (Christophe's
 message of "Thu, 09 Sep 2021 08:04:32 +0200")
Message-ID: <86sfydzwkp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - host2007.hostmonster.com
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - stephe-leake.org
X-BWhitelist: no
X-Source-IP: 76.77.182.20
X-Source-L: No
X-Exim-ID: 1mOKSZ-000dQQ-EG
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Source-Sender: (Takver4) [76.77.182.20]:57445
X-Source-Auth: stephen_leake@HIDDEN
X-Email-Count: 6
X-Source-Cap: c3RlcGhlbGU7c3RlcGhlbGU7aG9zdDIwMDcuaG9zdG1vbnN0ZXIuY29t
X-Local-Domain: yes
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Christophe <ch.bollard@HIDDEN> writes:

> so I installed the GNAT compiler 2021 from the ada core site, added the follwoing
> line to my init file:
> (setq gpr-query-env '("LD_LIBRARY_PATH=$HOME/opt/GNAT/2021/lib64"))

ok

> tried to install xrf:
> - unzip gnatcoll-db-master.zip

Don't use the master branch; use the one that is the same version as the compiler.


-- 
-- Stephe




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50457: [SPAM UNSURE] Re: bug#50457: 27.1; 'ada-mode'
Resent-From: Christophe <ch.bollard@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 10 Sep 2021 06:52:02 +0000
Resent-Message-ID: <handler.50457.B50457.16312566767416 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50457
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Stephen Leake <stephen_leake@HIDDEN>
Cc: larsi@HIDDEN, 50457 <at> debbugs.gnu.org
Received: via spool by 50457-submit <at> debbugs.gnu.org id=B50457.16312566767416
          (code B ref 50457); Fri, 10 Sep 2021 06:52:02 +0000
Received: (at 50457) by debbugs.gnu.org; 10 Sep 2021 06:51:16 +0000
Received: from localhost ([127.0.0.1]:36753 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mOaNY-0001vY-EQ
	for submit <at> debbugs.gnu.org; Fri, 10 Sep 2021 02:51:16 -0400
Received: from smtp-outgoing-1902.laposte.net ([160.92.124.106]:52775)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ch.bollard@HIDDEN>) id 1mOaNW-0001vJ-BJ
 for 50457 <at> debbugs.gnu.org; Fri, 10 Sep 2021 02:51:16 -0400
X-mail-filterd: {"version":"1.3.1", "queueID":"4H5RNT5rfSz1qqhn",
 "contextId":"b781ccef-c54b-42c8-a22c-939dfc95ef5d"}
Received: from outgoing-mail.laposte.net (localhost.localdomain [127.0.0.1])
 by mlpnf0119.laposte.net (SMTP Server) with ESMTP id 4H5RNT5rfSz1qqhn;
 Fri, 10 Sep 2021 08:51:05 +0200 (CEST)
X-mail-filterd: {"version":"1.3.1", "queueID":"4H5RNT2t1tz1qqj0",
 "contextId":"7aa8d978-ae6d-4af6-afa9-24728e75b11f"}
X-lpn-mailing: LEGIT
X-lpn-spamrating: 46
X-lpn-spamlevel: not-spam
X-lpn-spamcause: OK,
 (-100)(0000)gggruggvucftvghtrhhoucdtuddrgedvtddrudegtddguddtlecutefuodetggdotefrodftvfcurfhrohhfihhlvgemucfntefrqffuvffgpdfqfgfvpdggtfgfnhhsuhgsshgtrhhisggvnecuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpeffkffhvfgjufhfsedttdertddttddtnecuhfhrohhmpeevhhhrihhsthhophhhvgcuoegthhdrsgholhhlrghrugeslhgrphhoshhtvgdrnhgvtheqnecuggftrfgrthhtvghrnhepuedtjeelfeelueejiefffeethedtvddukeelueetheffgfeggeeuleeftedvhfevnecukfhppeekkedruddvhedrudeikedrieenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepihhnvghtpeekkedruddvhedrudeikedriedphhgvlhhopehkrghmvghhohhushgvpdhmrghilhhfrhhomheptghhrdgsohhllhgrrhgusehlrghpohhsthgvrdhnvghtpdhrtghpthhtohephedtgeehjeesuggvsggsuhhgshdrghhnuhdrohhrghdprhgtphhtthhopehlrghrshhisehgnhhushdrohhrghdprhgtphhtthhopehsthgvphhhvghnpghlvggrkhgvsehsthgvphhhvgdqlhgvrghkvgdrohhrgh
Received: from kamehouse (unknown [88.125.168.6])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mlpnf0119.laposte.net (SMTP Server) with ESMTPSA id 4H5RNT2t1tz1qqj0;
 Fri, 10 Sep 2021 08:51:05 +0200 (CEST)
Date: Fri, 10 Sep 2021 08:51:05 +0200
Message-Id: <8735qcvs86.fsf@debian-BULLSEYE-live-builder-AMD64>
From: Christophe <ch.bollard@HIDDEN>
In-Reply-To: <86sfydzwkp.fsf@HIDDEN> (message from Stephen Leake on
 Thu, 09 Sep 2021 06:51:18 -0700)
References: <87wnnswaoi.fsf@debian-BULLSEYE-live-builder-AMD64>
 <87a6kn7dmw.fsf@HIDDEN>
 <87v93a474f.fsf@debian-BULLSEYE-live-builder-AMD64>
 <86sfydzwkp.fsf@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=laposte.net; s=lpn-wlmd;
 t=1631256667; bh=yczYX3eiJxYLkWGnbaIJRNZOlK3Z9FNGuUM9KoQMNbg=;
 h=Date:Message-Id:From:To:Cc:In-Reply-To:Subject:References;
 b=We46vMntGGamxhaA6qQduhf688oWYR3B+bXSd113RCjo9TKKLcvOb5iI4EsCF6FPm6Qd/CtlRegtNLyQO0M5vv6cQe7pZuPC+FVTAJssAEQOUUHNFICNPHLryI081ekD62gPTay6zubiZjOvYdbrS0vwCTd9pRkIQtCQkqieku9Z1Yf4d9bip/N3iAXJWQhmpvRYT1L3AUWMdvvmrqfhfmdzqumDun7SiT158a1+jyzXzhXdwajzB3ODAvZXglJvPIMF8cR+HmUOQYGtnr5OlN1NBMXzKjsOtQ0YTUn1mZWflnFmuJec/lCLpI7Ag94Yjs75+COm7NRC/p7L0tavwg==;
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Even with the same version as the compiler that no work.
I won't waste your time longer, I'll find another way to open and edit an ada
source file with emacs.
Thanks.

-- 
Christophe BOLLARD




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50457: [SPAM UNSURE] Re: bug#50457: 27.1; 'ada-mode'
Resent-From: Christophe <ch.bollard@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 11 Sep 2021 05:10:02 +0000
Resent-Message-ID: <handler.50457.B50457.163133694214090 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50457
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Stephen Leake <stephen_leake@HIDDEN>
Cc: larsi@HIDDEN, 50457 <at> debbugs.gnu.org
Received: via spool by 50457-submit <at> debbugs.gnu.org id=B50457.163133694214090
          (code B ref 50457); Sat, 11 Sep 2021 05:10:02 +0000
Received: (at 50457) by debbugs.gnu.org; 11 Sep 2021 05:09:02 +0000
Received: from localhost ([127.0.0.1]:39439 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mOvGA-0003fB-Kl
	for submit <at> debbugs.gnu.org; Sat, 11 Sep 2021 01:09:02 -0400
Received: from smtp-outgoing-1802.laposte.net ([160.92.124.103]:38129)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ch.bollard@HIDDEN>) id 1mOvG9-0003ee-9g
 for 50457 <at> debbugs.gnu.org; Sat, 11 Sep 2021 01:09:02 -0400
X-mail-filterd: {"version":"1.3.1", "queueID":"4H61422g3fznTV1",
 "contextId":"2f1ae47d-4b4b-43e3-9890-752c4c2d8600"}
Received: from outgoing-mail.laposte.net (localhost.localdomain [127.0.0.1])
 by mlpnf0113.laposte.net (SMTP Server) with ESMTP id 4H61422g3fznTV1;
 Sat, 11 Sep 2021 07:08:50 +0200 (CEST)
X-mail-filterd: {"version":"1.3.1", "queueID":"4H61416LZlznTTg",
 "contextId":"8e83a140-423a-4b7b-bcba-d78c0baef544"}
X-lpn-mailing: LEGIT
X-lpn-spamrating: 46
X-lpn-spamlevel: not-spam
X-lpn-spamcause: OK,
 (-100)(0000)gggruggvucftvghtrhhoucdtuddrgedvtddrudegvddgkeekucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecunfetrffquffvgfdpqfgfvfdpggftfghnshhusghstghrihgsvgenuceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmnecujfgurhepfffkhffvjgfufhestddtredttddttdenucfhrhhomhepvehhrhhishhtohhphhgvuceotghhrdgsohhllhgrrhgusehlrghpohhsthgvrdhnvghtqeenucggtffrrghtthgvrhhnpeeutdejleefleeujeeiffefteehtddvudekleeuteehfffggeegueelfeetvdfhveenucfkphepkeekrdduvdehrdduieekrdeinecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehinhgvthepkeekrdduvdehrdduieekrdeipdhhvghlohepkhgrmhgvhhhouhhsvgdpmhgrihhlfhhrohhmpegthhdrsgholhhlrghrugeslhgrphhoshhtvgdrnhgvthdprhgtphhtthhopeehtdegheejseguvggssghughhsrdhgnhhurdhorhhgpdhrtghpthhtoheplhgrrhhsihesghhnuhhsrdhorhhgpdhrtghpthhtohepshhtvghphhgvnhgplhgvrghkvgesshhtvghphhgvqdhlvggrkhgvrdhorhhg
Received: from kamehouse (unknown [88.125.168.6])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mlpnf0113.laposte.net (SMTP Server) with ESMTPSA id 4H61416LZlznTTg;
 Sat, 11 Sep 2021 07:08:49 +0200 (CEST)
Date: Sat, 11 Sep 2021 07:08:49 +0200
Message-Id: <87sfybr95q.fsf@debian-BULLSEYE-live-builder-AMD64>
From: Christophe <ch.bollard@HIDDEN>
In-Reply-To: <86sfydzwkp.fsf@HIDDEN> (message from Stephen Leake on
 Thu, 09 Sep 2021 06:51:18 -0700)
References: <87wnnswaoi.fsf@debian-BULLSEYE-live-builder-AMD64>
 <87a6kn7dmw.fsf@HIDDEN>
 <87v93a474f.fsf@debian-BULLSEYE-live-builder-AMD64>
 <86sfydzwkp.fsf@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=laposte.net; s=lpn-wlmd;
 t=1631336934; bh=eYQsbWmI4gTSIe/mVybxUSTUgdsyzvKLpbsaC03jUZc=;
 h=Date:Message-Id:From:To:Cc:In-Reply-To:Subject:References;
 b=JvQdLkIHLV/5bTnvrm9BJs3Xmrk5YzrBhLYmb7vO71TSYVtLvsAC2GAib/vNqwTpOPADuJpFFLMZqs2Iw7mRUqpMQYd1nlck1GCVxEq6pSwGF/t25v5875g3oFL5lyf7fLQV362S01jaiv3ggtAA2WX1EHOPxY6QeMjaAfB0YsBAMC+aVVb8zrF7V1CDBrfJzPrN4NGQu8+ZMoIZbmL9k8cnmw4HDikUINvQjLihJP8gE6GVtuYYd14NlwGYTYWX5z7Ah2FoGEKfV+FdWz1kMI22lLFpuTVStUv7xc8HIdvGUzjr5+mMHvnwfqPLHigwOj1stuzujU7/BGUcgtmr9A==;
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

I'm sorry but in fact I do not understand, why the built-in package was remove,
and replaced by an elpa package you have to build an have to manage dependencies.
It's pretty like I type apt install emacs and if I run emacs that not works
because I not built it and I have to search different dependencies.
Maybe I am weird but that seems odd to me.
Best regards.

-- 
Christophe BOLLARD




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50457: 27.1; 'ada-mode'
Resent-From: Stefan Kangas <stefan@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 25 Sep 2021 18:18:01 +0000
Resent-Message-ID: <handler.50457.B50457.163259384632448 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50457
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Christophe <ch.bollard@HIDDEN>
Cc: larsi@HIDDEN, Stephen Leake <stephen_leake@HIDDEN>, 50457 <at> debbugs.gnu.org
Received: via spool by 50457-submit <at> debbugs.gnu.org id=B50457.163259384632448
          (code B ref 50457); Sat, 25 Sep 2021 18:18:01 +0000
Received: (at 50457) by debbugs.gnu.org; 25 Sep 2021 18:17:26 +0000
Received: from localhost ([127.0.0.1]:34665 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mUCEn-0008RI-WB
	for submit <at> debbugs.gnu.org; Sat, 25 Sep 2021 14:17:26 -0400
Received: from mail-pf1-f175.google.com ([209.85.210.175]:45051)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mUCEm-0008Qr-7E
 for 50457 <at> debbugs.gnu.org; Sat, 25 Sep 2021 14:17:25 -0400
Received: by mail-pf1-f175.google.com with SMTP id 145so11773328pfz.11
 for <50457 <at> debbugs.gnu.org>; Sat, 25 Sep 2021 11:17:24 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc;
 bh=KPKJbNoIeHX+ymmJ+X3e0/Is8FZABIRidVXYlb0LquQ=;
 b=YYUMFj0LzluZBlTJbXxPicCze8cAavC6ESIya9jyrLbeQGbYI8Z4zYq4y6a4afVos8
 3Ri3vBiTLXpjiQw8ocXXI6F2XmsxGJinSA6mU0XtH4CCbPtS1evNuWOVnbGNh5QThUzm
 9kueZJOz8T6WW11U+72gQfXagQ043hPlWt1Vl8+OBQdO6Jtp+GedWiOWJOD1WmMDztWg
 7X17J9fpzk/0tKQxwPyH+r9sydwlpLITd+UVYOv8wNx/NLIauXEJIoHN2jV91nv5QB/L
 USxdSeaFjdxI5ExPwHfRpAPw+3JHyIKhF6dpFmFpSR09+IAL+cIRBJhr0qtnIquKrKnN
 4hug==
X-Gm-Message-State: AOAM531tWbzSzb+DJ4qn9mi80NHmmw+fGwNO17haCpsO3BgGH3l1yXJY
 rF9QihCAX7WG9KSWCv0KEJIItzWhOQozXk1WBRw=
X-Google-Smtp-Source: ABdhPJyJ35DyQv3KwWIic9aKSCEp/vQkSyqsOSV3l2du40X6lqIe0w3qjFUAKe8hHyJvJo/QbCrdglVI3yF7EQMNI8Y=
X-Received: by 2002:aa7:9e90:0:b0:43f:2abb:a504 with SMTP id
 p16-20020aa79e90000000b0043f2abba504mr15850483pfq.35.1632593838683; Sat, 25
 Sep 2021 11:17:18 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sat, 25 Sep 2021 11:17:18 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <8735qcvs86.fsf@debian-BULLSEYE-live-builder-AMD64> (Christophe's
 message of "Fri, 10 Sep 2021 08:51:05 +0200")
References: <87wnnswaoi.fsf@debian-BULLSEYE-live-builder-AMD64>
 <87a6kn7dmw.fsf@HIDDEN> <87v93a474f.fsf@debian-BULLSEYE-live-builder-AMD64>
 <86sfydzwkp.fsf@HIDDEN>
 <8735qcvs86.fsf@debian-BULLSEYE-live-builder-AMD64>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Sat, 25 Sep 2021 11:17:18 -0700
Message-ID: <CADwFkmnMfHbw6STODwyEZwmoejwfAvH1ZHzhDWajshmPNgmK2g@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Christophe <ch.bollard@HIDDEN> writes:

> Even with the same version as the compiler that no work.
> I won't waste your time longer, I'll find another way to open and edit an ada
> source file with emacs.
> Thanks.

What is the status here?  Are there any outstanding issues that need to
be fixed in ada-mode, or should this bug report be closed?




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 25 Sep 2021 18:17:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 25 14:17:23 2021
Received: from localhost ([127.0.0.1]:34662 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mUCEk-0008R1-Qv
	for submit <at> debbugs.gnu.org; Sat, 25 Sep 2021 14:17:22 -0400
Received: from mail-pl1-f181.google.com ([209.85.214.181]:45015)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mUCEi-0008Qg-PG
 for control <at> debbugs.gnu.org; Sat, 25 Sep 2021 14:17:21 -0400
Received: by mail-pl1-f181.google.com with SMTP id t11so8768671plq.11
 for <control <at> debbugs.gnu.org>; Sat, 25 Sep 2021 11:17:20 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:mime-version:date:message-id:subject:to;
 bh=g8dyjQyNf48ZwOqDETZ7saDJXdLMcRNpeX68ak2rvw0=;
 b=E8EVjd1mXPdeym3jxK7bL1cDtWtGSsjXY3EJt+mvyGWwv/Hk8IJ/FDCM8sdZXpF7lf
 keIeC5hfRv01GicgPU6D79lTiKcW8x0NIGwglFNL72ubdAzaxZmzuOHm6MHmbr+yxYe7
 kSqvLh8qOVKk7QXKPA5rRnhXvYWou0Fdb/aLcA/mhec9X0xaNLrcCQ0B2GtZSE9bgzRz
 nQZpflBvR9eNporCIqCg7yn5LIZkakABYm/FBB6ThyfmNAp2PcR2S8sbb/me8YK42HBn
 YPnpwwxeA8RAGfJ+TIxqV7+SMNI4uPzWIu5+vSk54Suj5C7IU3kJXMwT1RXTYXSRsbWY
 tXxw==
X-Gm-Message-State: AOAM5302flfqTg+c3225tV7j7YI7fFQiAxNVPCsbIswe5mHdJkygt5no
 kSUzuaRwxxl9TTH3SgwzOrslvKhvWkrbtGkuDqmqx9stQkw=
X-Google-Smtp-Source: ABdhPJxHvZ7lsz5jGqq7PcRm1mDlG//KRkK002kUNLdVLH6MazetgxdJcpF4V46cglNg6IDAXathLyJW7YsgGaQwNBA=
X-Received: by 2002:a17:90b:3805:: with SMTP id
 mq5mr9522643pjb.143.1632593835186; 
 Sat, 25 Sep 2021 11:17:15 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sat, 25 Sep 2021 11:17:14 -0700
From: Stefan Kangas <stefan@HIDDEN>
MIME-Version: 1.0
Date: Sat, 25 Sep 2021 11:17:14 -0700
Message-ID: <CADwFkmk-=g-rTWngqO6XE4bL=NLRU1Jvp74WS0KVNgvOmdOv2A@HIDDEN>
Subject: control message for bug #50457
To: control <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

tags 50457 + moreinfo
quit




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#50457: [SPAM UNSURE] Re: bug#50457: 27.1; 'ada-mode'
Resent-From: Stephen Leake <stephen_leake@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 25 Sep 2021 22:47:01 +0000
Resent-Message-ID: <handler.50457.B50457.163261001326942 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50457
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: Stefan Kangas <stefan@HIDDEN>
Cc: 50457 <at> debbugs.gnu.org, Christophe <ch.bollard@HIDDEN>, larsi@HIDDEN
Received: via spool by 50457-submit <at> debbugs.gnu.org id=B50457.163261001326942
          (code B ref 50457); Sat, 25 Sep 2021 22:47:01 +0000
Received: (at 50457) by debbugs.gnu.org; 25 Sep 2021 22:46:53 +0000
Received: from localhost ([127.0.0.1]:35056 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mUGRY-000707-MJ
	for submit <at> debbugs.gnu.org; Sat, 25 Sep 2021 18:46:53 -0400
Received: from gproxy2-pub.mail.unifiedlayer.com ([69.89.18.3]:46875)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen_leake@HIDDEN>) id 1mUGRX-0006uK-3O
 for 50457 <at> debbugs.gnu.org; Sat, 25 Sep 2021 18:46:51 -0400
Received: from cmgw14.mail.unifiedlayer.com (unknown [10.0.90.129])
 by gproxy2.mail.unifiedlayer.com (Postfix) with ESMTP id 53DAD8033D0A
 for <50457 <at> debbugs.gnu.org>; Sat, 25 Sep 2021 22:46:45 +0000 (UTC)
Received: from host2007.hostmonster.com ([67.20.76.71]) by cmsmtp with ESMTP
 id UGRRm07GIaZf3UGRRmNHZ5; Sat, 25 Sep 2021 22:46:45 +0000
X-Authority-Reason: nr=8
X-Authority-Analysis: v=2.4 cv=PbI6Ogtd c=1 sm=1 tr=0 ts=614fa6d5
 a=dWLzHQi6WpdymmZIwiVdBw==:117 a=dWLzHQi6WpdymmZIwiVdBw==:17
 a=dLZJa+xiwSxG16/P+YVxDGlgEgI=:19 a=7QKq2e-ADPsA:10:nop_rcvd_month_year
 a=vvvmwbhNdt4A:10:endurance_base64_authed_username_1 a=AVbMHacnAAAA:8
 a=8DQXaoOPE9hVPwcKfCUA:9 a=asrrPBIsC88A:10:uccc_2email_address
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=stephe-leake.org; s=default; h=Content-Type:MIME-Version:Message-ID:
 In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:
 Content-Transfer-Encoding:Content-ID:Content-Description:Resent-Date:
 Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:List-Id:
 List-Help:List-Unsubscribe:List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=KFHhdP9BI1P+0LTMTmrJqRFyzDkQCo02V1C53EyJaQQ=; b=Y3E0UDczWeskAifyFz3qoA1Mrf
 DRsq0yN8iUH3dLs2SzRtAiRw7Jl/vneF6aKD/HRWQzoPz22bqHTVrg1LmOCKAb0ftLGjQ75e1jyWG
 jZ71uAFKy5r5aaI6PYnTQvRympNNgCEHTIKoP/OaWALAVGZfd6fma7aWtx4xQPJ60vSPmdqcrmciD
 MYuV4kc1JJgTi7XiXcRO1tl1MBH5pUnOwdL6O9W60K/KK/H+N1oiUp2L6rFjCC8+9GPQ4KzOf6qpu
 fe5UJZk4RQpYvOKrWG9Aw3qdyeMcIaNeIY/Ph6O8SyOYwmBI2NZIclflJCklYdDvNGBNbsXshfxDe
 AUHhTm8w==;
Received: from 135-180-42-59.fiber.dynamic.sonic.net ([135.180.42.59]:58177
 helo=Takver4) by host2007.hostmonster.com with esmtpsa (TLS1.2) tls
 TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384 (Exim 4.94.2)
 (envelope-from <stephen_leake@HIDDEN>)
 id 1mUGRQ-002bSN-TE; Sat, 25 Sep 2021 16:46:44 -0600
From: Stephen Leake <stephen_leake@HIDDEN>
References: <87wnnswaoi.fsf@debian-BULLSEYE-live-builder-AMD64>
 <87a6kn7dmw.fsf@HIDDEN>
 <87v93a474f.fsf@debian-BULLSEYE-live-builder-AMD64>
 <86sfydzwkp.fsf@HIDDEN>
 <8735qcvs86.fsf@debian-BULLSEYE-live-builder-AMD64>
 <CADwFkmnMfHbw6STODwyEZwmoejwfAvH1ZHzhDWajshmPNgmK2g@HIDDEN>
Date: Sat, 25 Sep 2021 15:46:41 -0700
In-Reply-To: <CADwFkmnMfHbw6STODwyEZwmoejwfAvH1ZHzhDWajshmPNgmK2g@HIDDEN>
 (Stefan Kangas's message of "Sat, 25 Sep 2021 11:17:18 -0700")
Message-ID: <86fstsp92m.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - host2007.hostmonster.com
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - stephe-leake.org
X-BWhitelist: no
X-Source-IP: 135.180.42.59
X-Source-L: No
X-Exim-ID: 1mUGRQ-002bSN-TE
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Source-Sender: 135-180-42-59.fiber.dynamic.sonic.net (Takver4)
 [135.180.42.59]:58177
X-Source-Auth: stephen_leake@HIDDEN
X-Email-Count: 4
X-Source-Cap: c3RlcGhlbGU7c3RlcGhlbGU7aG9zdDIwMDcuaG9zdG1vbnN0ZXIuY29t
X-Local-Domain: yes
X-Spam-Score: -0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Kangas <stefan@HIDDEN> writes:

> Christophe <ch.bollard@HIDDEN> writes:
>
>> Even with the same version as the compiler that no work.
>> I won't waste your time longer, I'll find another way to open and edit an ada
>> source file with emacs.
>> Thanks.
>
> What is the status here?  Are there any outstanding issues that need to
> be fixed in ada-mode, or should this bug report be closed?

There is nothing to be fixed in ada-mode. Debian could distribute a
binary for the missing executable.

-- 
-- Stephe





Last modified: Sat, 25 Sep 2021 22:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.